Lists devices
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/devices \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/devices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"devices": [
{
"id": 1,
"deviceId": "38:f9:d3:d7:62:03",
"created": "2019-07-21T17:32:28Z",
"lastSeen": "2019-08-31T17:32:28Z",
"name": "m6d.1 desk sensor",
"deviceType": "DISCO-L475VG",
"sensors": [
{
"name": "Built-in accelerometer",
"maxSampleLengthS": 123,
"frequencies": [
62.5,
100
]
}
],
"remote_mgmt_connected": true,
"supportsSnapshotStreaming": true,
"remote_mgmt_host": "<string>",
"inferenceInfo": {
"projectId": 123,
"projectOwner": "<string>",
"projectName": "<string>",
"deployedVersion": 123
}
}
],
"error": "<string>"
}Lists devices
List all devices for this project. Devices get included here if they connect to the remote management API or if they have sent data to the ingestion API and had the device_id field set.
GET
/
api
/
{projectId}
/
devices
Lists devices
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Was this page helpful?
⌘I